<?php

//****=============================================================================****//
//****-----------This code is used for creating Footer Settings--------------------****//							
//****=============================================================================****//	
if (!function_exists('rethink_get_option_defaults')) {

    function rethink_get_option_defaults() {
// VARIABLES
        $themename = 'Rethink Theme';
        $shortname = "of";
        $slide_stats = array("on" => "On", "off" => "Off");
//Stylesheet Reader
// Multicheck Defaults
        $multicheck_defaults = array("one" => "1", "five" => "1");
// Background Defaults
        $background_defaults = array('color' => '', 'image' => '', 'repeat' => 'repeat', 'position' => 'top center', 'attachment' => 'scroll');
// Pull all the categories into an array
        $options_categories = array();
        $options_categories_obj = get_categories();
        foreach ($options_categories_obj as $category) {
            $options_categories[$category->cat_ID] = $category->cat_name;
        }
// Pull all the pages into an array
        $options_pages = array();
        $options_pages_obj = get_pages('sort_column=post_parent,menu_order');
        $options_pages[''] = 'Select a page:';
        foreach ($options_pages_obj as $page) {
            $options_pages[$page->ID] = $page->post_title;
        }
// If using image radio buttons, define a directory path
        $options = array(
            array("name" => __('General Settings', 'rethink'),
                "type" => "heading"),
            //Cuscom Logo
            array("name" => __('Custom Logo', 'rethink'),
                "desc" => __('Upload your own Logo, Optimal Size 217pixels wide by 66pixels Height', 'rethink'),
                "id" => "rethink_logo",
                "type" => "upload"),
            //Custom Favicon
            array("name" => __('Custom Favicon', 'rethink'),
                "desc" => __("Specify a 16px x 16px image that will represent your website's favicon.", 'rethink'),
                "id" => "rethink_favicon",
                "type" => "upload"),
//****=============================================================================****//
//****-----------This code is used for creating Footer Settings--------------------****//							
//****=============================================================================****//	
            array("name" => __("Social Icons", 'rethink'),
                "type" => "heading"),
            array("name" => __("Facebook URL", 'rethink'),
                "desc" => __("Enter your Facebook URL if you have one", 'rethink'),
                "id" => "rethink_facebook",
                "std" => "",
                "type" => "text"),
            array("name" => __("Twitter URL", 'rethink'),
                "desc" => __("Enter your Twitter URL if you have one", 'rethink'),
                "id" => "rethink_twitter",
                "std" => "",
                "type" => "text"),
            array("name" => __("Yahoo URL", 'rethink'),
                "desc" => __("Enter your Yahoo URL if you have one", 'rethink'),
                "id" => "rethink_yahoo",
                "std" => "",
                "type" => "text"));
        return apply_filters('rethink_option_defaults', array('of_template' => $options, 'theme_name' => $themename));
    }

}
?>
